Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: Yuan Fu <[email-masked]>
Date: Sat, 6 Jan 2024 22:59:57 -0800

> On Jan 5, 2024, at 8:16 PM, Stefan Monnier <[email-masked]> wrote:
> 
>> Then there is the problem Eli pointed out, base-mode hooks runs before child
>> major mode body does.
> 
> [ Side note: This is not relevant to the present suggested patch.  ]
> 
> No, all the mode hooks are run at the end of the major mode body,
> i.e. you get the following order:
> 
>   fundamental-mode body
>   prog-mode body
>   FOO-base-mode body
>   FOO-ts-mode body
>   fundamental-mode-hook
>   prog-mode-hook
>   FOO-base-mode-hook
>   FOO-ts-mode-hook

Ah, yes, of course! We talked about this before and I completely forgot.

> 
>> (Arguable a niche use-case, but my point is base-mode hooks have
>> their limits.)
> 
> It was sufficiently "not niche" that I fixed that problem in Emacs-22
> (according to `C-h v delay-mode-hooks`)  :-)

And I thank you for that :-)

Yuan